Loading...
Searching...
No Matches
serial::SerialPort::State Struct Reference

Structure holding information about the current state of the port. More...

`import <SerialPort.idl;`

## Public Attributes

PortState | state
| Current connection state.
string | deviceName
| Name of the device currently connected.

## Detailed Description

Structure holding information about the current state of the port.

Definition at line 69 of file SerialPort.idl.

## Member Data Documentation

## deviceName

string serial::SerialPort::State::deviceName

Name of the device currently connected.

Definition at line 71 of file SerialPort.idl.

## state

PortState serial::SerialPort::State::state

Current connection state.

Definition at line 70 of file SerialPort.idl.

The documentation for this struct was generated from the following file:

- SerialPort.idl